# AbortedFetchReason (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Enum AbortedFetchReason

- java.lang.Object
- - java.lang.Enum<AbortedFetchReason>
  - - crawlercommons.fetcher.AbortedFetchReason

All Implemented Interfaces:
  Serializable, Comparable<AbortedFetchReason>

    public enum AbortedFetchReason
    extends Enum<AbortedFetchReason>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTENT_SIZE`
`INTERRUPTED`
`INVALID_MIMETYPE`
`SLOW_RESPONSE_RATE`

### Method Summary

Methods
`static AbortedFetchReason` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbortedFetchReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SLOW_RESPONSE_RATE

    public static final AbortedFetchReason SLOW_RESPONSE_RATE

#### INVALID_MIMETYPE

    public static final AbortedFetchReason INVALID_MIMETYPE

#### INTERRUPTED

    public static final AbortedFetchReason INTERRUPTED

#### CONTENT_SIZE

    public static final AbortedFetchReason CONTENT_SIZE

### Method Detail

#### values

    public static AbortedFetchReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbortedFetchReason c : AbortedFetchReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbortedFetchReason valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null